Symbiosis-dns-mythic
====================

Makes symbiosis compatible with Mythic Beasts DNS API.

There are a few differences from the original, notably that the old
/root/BytemarkDNS directory and upload script is no longer used, with the 
uploads now being performed by symbiosis-dns-mythic. 

Usage
-----
You'll need to configure a password for your domain on the Mythic Beasts
control panel.

1. Log in to https://ctrlpanel.mythic-beasts.com
2. Click 'my domains'
3. Click on the domain you wish to use.
4. Under 'Nameservers and DNS' click on 'DNS API'.
5. Set a random password. You'll only need to remember this once, so make it a
   good one.
6. Go to 'Manage DNS' for your domain, and make sure the template is set to
   'None'.
7. You'll need to do this for each domain you intend to manage with symbiosis.

Once you've installed the symbiosis-dns-mythic package on your server, you'll
need to give Symbiosis your DNS password. To do this, put it in a file called
'mbpassword' in the /srv/my-brilliant-site.com/config/dns/ directory. 

As root, run 'symbiosis-dns-generate --verbose --force' to regenerate the DNS
records.

Again, as root, run 'symbiosis-dns-mythic -v -f' to force an upload to the DNS
API in verbose mode.

These operations will be run automatically from cron in future, but it's good
to ensure that it works.  
